---
title: List
url: https://www.tines.com/docs/api/cases/records/list-1-0/
updated: 2024-05-21T14:23:04+00:00
description: Retrieve a list of records attached to a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Records](https://www.tines.com/llm/docs/api/cases/records.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/cases/records/list-1-0/)*

| ⚠️ Note                                                                     |
| --------------------------------------------------------------------------- |
| This API endpoint has been deprecated, please update to the latest version. |

## Description

Retrieve a list of records attached to a case.

## Request

HTTP Method: **GET**

| Parameter | Description                                                                                         |
| --------- | --------------------------------------------------------------------------------------------------- |
| case_id   | The ID of the case.                                                                                 |
| per_page  | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page      | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/cases/<<case_id>>/records \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object with the records.

### Field description

| Parameter | Description                                                                     |
| --------- | ------------------------------------------------------------------------------- |
| case_id   | The case ID.                                                                    |
| records   | An array of records attached to the case. See the table below for more details. |

| Records parameter | Description                                                        |
| ----------------- | ------------------------------------------------------------------ |
| id                | The record ID.                                                     |
| record_type       | The record type. Includes id and name.                             |
| records           | An array of record fields. Includes the field id, name, and value. |
| created_at        | The timestamp the record was created.                              |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "records": [
    {
      "id": 187,
      "record_type": { "id": 1, "name": "Alert" },
      "records": [
        {
          "id": 1871,
          "name": "Story name",
          "value": "Cases API"
        }
      ],
      "created_at": "2023-12-18T22:29:22Z"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/cases/42/records?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```
